Page MenuHomePhabricator

Give all commands from DiffusionCommandEngine a default 15 minute timeout
ClosedPublic

Authored by epriestley on Mar 17 2018, 12:15 AM.
Tags
None
Referenced Files
Unknown Object (File)
Feb 3 2024, 6:30 PM
Unknown Object (File)
Jan 26 2024, 7:17 AM
Unknown Object (File)
Jan 7 2024, 10:51 PM
Unknown Object (File)
Jan 7 2024, 10:50 PM
Unknown Object (File)
Jan 7 2024, 10:50 PM
Unknown Object (File)
Jan 1 2024, 12:25 PM
Unknown Object (File)
Dec 15 2023, 5:08 AM
Unknown Object (File)
Dec 5 2023, 9:57 AM
Subscribers
None

Details

Summary

Ref T13108. See PHI364. See the task and issue for discussion.

If a git fetch during synchronization hangs, the whole node currently hangs. While the causes of a git fetch hang aren't clear, we don't expect synchronization to ever reasonably take more than 15 minutes, so add a default timeout.

Test Plan

Will deploy and observe; this is difficult to reproduce or test directly.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Mar 17 2018, 12:22 AM
This revision was automatically updated to reflect the committed changes.